Subject: Re: bug#30413: file exists and is +x but cannot be executed

From: Marco van Hulten <[email-masked]>
Date: Thu, 15 Feb 2018 09:50:25 +0100

Ludovic—

Je 14 feb 14:45 skribis Ludovic:
> Marco van Hulten <[email-masked]> skribis:
> 
> > user2@graviton ~$ lpr
> > lpr: No such file or directory
> > user2@graviton ~$ which lpr
> > /home/user2/.guix-profile/bin/lpr  
> 
> Could it be that /gnu/store is mounted as no-exec, or something along
> these lines?  What does the ‘mount’ command show?

Could have been, but not likely as I remember other commands, surely
several from /gnu/store/, working properly.

Right now `lpr` works (and I didn't do a pull; path is the same).
I would have reported that before if I had tried to use the printer
again.  In any case, the issue went away — the bug report can be closed
(as unconfirmable or something).

Thanks!

—Marco